<?php
require_once('../../Connections/odonto_connection1.php'); 

if(isset($_GET['codigo'])){
	
	$codigo = $_GET[codigo];
    
	$q = "SELECT id_ped,cod_pre,recibido FROM pedidos WHERE mesa = '$codigo'";
	$rs = mysqli_query($odonto_connection,$q) or die(mysqli_error());
	$row = mysqli_fetch_assoc($rs);
	
    do{
		$cod_pre = $row['cod_pre'];
        $recibido = $row['recibido'];
        $id_ped = $row['id_ped'];

		$q0 = "SELECT menu FROM precios WHERE id_pre = $cod_pre";
		$rs0 = mysqli_query($odonto_connection,$q0) or die(mysqli_error());
		$row0 = mysqli_fetch_assoc($rs0);
		$pedido_actual .= $row['recibido']." ".$row0['menu']."+";

        $q1 = "UPDATE pedidos SET cant = $recibido WHERE id_ped = $id_ped";
        $rs1 = mysqli_query($odonto_connection,$q1) or die(mysqli_error());
    
	} while($row = mysqli_fetch_assoc($rs));

    
    $q = "UPDATE mesas SET descripcion = '$pedido_actual' WHERE codigo = '$codigo'";
	$rs = mysqli_query($odonto_connection,$q) or die(mysqli_error());
	header("Location:" . "negocio_8.php?modif=1&codigo=$codigo");
}


?>